import { GetAnalysisOptions } from './http';
import { AnalysisResult, ScmAnalysis } from './interfaces/analysis-result.interface';
import { FileAnalysisOptions, ScmAnalysisOptions } from './interfaces/analysis-options.interface';
import { FileAnalysis } from './interfaces/files.interface';
export declare function analyzeBundle(options: GetAnalysisOptions): Promise<AnalysisResult>;
/**
 * Perform a file-based analysis.
 * Optionally with reporting of results to the platform.
 */
export declare function analyzeFolders(options: FileAnalysisOptions): Promise<FileAnalysis | null>;
export declare function extendAnalysis(options: FileAnalysis & {
    files: string[];
}): Promise<FileAnalysis | null>;
/**
 * Perform an SCM-based analysis for an existing project,
 * with reporting of results to the platform.
 */
export declare function analyzeScmProject(options: ScmAnalysisOptions): Promise<ScmAnalysis | null>;
